<template>
    <AddCreditsModal
        title="Add email credits"
        :show="show"
        :items="items"
        @addCredits="addEmailCredits"
        @close="$emit('close')"
    />
</template>

<script>
import AddCreditsModal from '@/components/elements/AddCreditsModal'
import {ajaxGet} from '@/helpers/ajax'

export default {
    components: {
        AddCreditsModal
    },
    props: ['show'],
    data() {
        return {
            selected: 0,
            loading: false,
            items: [
                {
                    value: '1000',
                    text: '1000 emails',
                    price: '4.99$'
                },
                {
                    value: '2000',
                    text: '2000 emails',
                    price: '9.99$'
                },
                {
                    value: '5000',
                    text: '5000 emails',
                    price: '19.99$'
                },
                {
                    value: '10000',
                    text: '10000 emails',
                    price: '39.99$'
                },
                {
                    value: '20000',
                    text: '20000 emails',
                    price: '69.99$'
                },
                {
                    value: '50000',
                    text: '50000 emails',
                    price: '139.99$'
                },
                {
                    value: '100000',
                    text: '100000 emails',
                    price: '199.99$'
                },
                {
                    value: '200000',
                    text: '200000 emails',
                    price: '349.99$'
                }              
            ]
        }
    },
    methods: {
        async addEmailCredits(option) {
            this.loading = true
            
            const data = await ajaxGet('/checkout-email-url', {type: option.value}, 'user')
            if(!data) {
                this.$notify({
                    type: 'error',
                    title: 'Server error'
                })
            } else window.open(data)

            this.closeModal()
        },
        closeModal() {
            this.$emit('close')
        }
    }
}
</script>
